# This kustomization.yaml is not intended to be run by itself,
# since it depends on service name and namespace that are out of this kustomize package.
# It should be run by config/default
resources:
- bases/gitlab.stammkneipe.dev_clusterissuers.yaml
- bases/gitlab.stammkneipe.dev_issuers.yaml
- bases/gitlab.stammkneipe.dev_grouprunnertokens.yaml
- bases/gitlab.stammkneipe.dev_projectrunnertokens.yaml
#+kubebuilder:scaffold:crdkustomizeresource

patchesStrategicMerge:
# [WEBHOOK] To enable webhook, uncomment all the sections with [WEBHOOK] prefix.
# patches here are for enabling the conversion webhook for each CRD
#- patches/webhook_in_clusterissuers.yaml
#- patches/webhook_in_issuers.yaml
#- patches/webhook_in_grouprunnertokens.yaml
#- patches/webhook_in_projectrunnertokens.yaml
#+kubebuilder:scaffold:crdkustomizewebhookpatch

# [CERTMANAGER] To enable cert-manager, uncomment all the sections with [CERTMANAGER] prefix.
# patches here are for enabling the CA injection for each CRD
#- patches/cainjection_in_clusterissuers.yaml
#- patches/cainjection_in_issuers.yaml
#- patches/cainjection_in_grouprunnertokens.yaml
#- patches/cainjection_in_projectrunnertokens.yaml
#+kubebuilder:scaffold:crdkustomizecainjectionpatch

# the following config is for teaching kustomize how to do kustomization for CRDs.
configurations:
- kustomizeconfig.yaml
